Bug 105829 - Infobar design needs an update
Summary: Infobar design needs an update
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: low minor
Assignee: Heiko Tietze
URL:
Whiteboard: target:5.4.0
Keywords:
Depends on:
Blocks: Infobar-UX
  Show dependency treegraph
 
Reported: 2017-02-07 13:38 UTC by Heiko Tietze
Modified: 2017-02-28 10:56 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
Old infobar colors (13.24 KB, image/png)
2017-02-07 13:38 UTC, Heiko Tietze
Details
The worst patch in the world (8.62 KB, patch)
2017-02-07 15:24 UTC, Katarina Behrens (Inactive)
Details
New infobar colors (13.65 KB, image/png)
2017-02-08 12:02 UTC, Heiko Tietze
Details
Latest layout (22.06 KB, image/png)
2017-02-24 21:04 UTC, Heiko Tietze
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Heiko Tietze 2017-02-07 13:38:19 UTC
Created attachment 130984 [details]
Old infobar colors

Current infobar has a dark red (maroon) for errors, a orange for warnings, and uses beige as default. That does not comply with the common standards as known from the web. There is also an issue with dark themes that uses a bright color by default for fonts which is awkward for beige backgrounds. See bug 102785.
Furthermore, color must not be the only method to convey information and an additional icon is needed.

The green color for success is defined but not used.
Comment 1 Xisco Faulí 2017-02-07 13:40:23 UTC
I agree with you...
Comment 2 Katarina Behrens (Inactive) 2017-02-07 15:24:47 UTC
Created attachment 130989 [details]
The worst patch in the world

So attached patch changes the interface somehow to match Heiko's requirement. It doesn't compile, but you get an idea ... someone else can make it build and remove duplicate and unused code (which is absolutely awful)

There are now 2 constructors provided: one that sets font, fore- and back-ground colours based solely on InfoBarType and that ~everyone is supposed to be using

The other is for classification (sfx2/*/classificationhelper.cxx) which needs its own bigger set of colour
Comment 3 Heiko Tietze 2017-02-08 12:02:49 UTC
Created attachment 131012 [details]
New infobar colors

Proposed colors; light blue has issue 102785 (font color on dark system theme), green background for success cannot be shown yet. And the icons left of the labels are missing.

Patch is submitted https://gerrit.libreoffice.org/#/c/34029/1
Comment 4 Adolfo Jayme 2017-02-21 00:10:38 UTC
❤️️
Comment 5 Heiko Tietze 2017-02-24 21:04:22 UTC
Created attachment 131459 [details]
Latest layout

Icons added (vcl/res/* and cmd/lc_apply for success); InfoBarType is reverted back to info for readonly and CMIS following Samuel's request. 

The success example is not an actual infobar, not yet.
Comment 6 Commit Notification 2017-02-27 15:49:28 UTC
heiko tietze committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bd8c68c99cce51a3368d8ddfd6e11dccb72d8f49

tdf#105829 Infobar design, tdf#102785 Font issue

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.